“Unable to connect to Ustream Servers” message in Ustream Producer 2.0.2

If you are using version 2 of Producer and are getting the error message “Unable to connect to Ustream Servers” it’s likely because your version is, unfortunately, no longer compatible with the Ustream service.

In September of 2016, Ustream had to implement a mandated update to its authentication process for improved performance and increased client security. This update brought with it the discontinuation of a legacy process to authenticate that was still used in version 2.0.2, 2.0.1 and older iterations of Ustream Producer. Newer versions, like Producer 2.0.3 and above, are not impacted.

If you are using a free version of Ustream Producer, you can upgrade to the latest free trial version on our Producer page. If you are using a paid version of Producer that is impacted, you can upgrade at a discounted rate depending on if you want to upgrade to the Studio or Pro versions. Upgrade costs can be found on this page.

Not sure what version of Ustream Producer you are using?

On Mac, you can find this out by clicking on USTREAM PRODUCER and then “About Ustream Producer” to be notified of your specific version.

On Windows, you can find your version number of Producer by clicking HELP and then “About Ustream Producer”.

Please note, this only impacts versions 2.0.2 and older of Producer. Newer versions, even of Producer 2 like 2.0.3, still work.

Powered by Zendesk